package com.gree.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum WithdrawalTypeEnum implements BaseEnum, IEnum<Integer> {
    ONE("1","销售提现"),
    TWO("2","服务提现");

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;


    @Override
    public Integer getValue() {
        return Integer.parseInt(key);
    }
}
